import { Application } from "express";
import * as swaggerUiExpress from "swagger-ui-express";
import { getMetadataArgsStorage } from "routing-controllers";
import { routingControllersToSpec } from "routing-controllers-openapi";

export default async (app: Application) => {
    const storage = getMetadataArgsStorage();
    const spec = routingControllersToSpec(storage);
    app.use("/docs", swaggerUiExpress.serve, swaggerUiExpress.setup(spec));
    return app;
};
